Bug 137355 - Hide rows and then undo makes shape invisible, which was is the hidden rows
Summary: Hide rows and then undo makes shape invisible, which was is the hidden rows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-08 23:24 UTC by Regina Henschel
Modified: 2020-10-31 17:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File for reproducing the bug (10.54 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-10-08 23:24 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-10-08 23:24:02 UTC
Created attachment 166211 [details]
File for reproducing the bug

Open attached document. It has a shape in range C3 to D6, which is anchored to cell C3.
Mark rows 3 to 6 and hide them.
Undo.
Error: Shape is "lost".

It seems, that the shape is not really lost but "only" invisible. If the shape is named, you see it still in the Navigator, but you cannot use the Navigator to access it. And if you mark the rows again and use "Show rows", the shape becomes visible.
Comment 1 m.a.riosv 2020-10-09 07:14:48 UTC
Confirmed. And Save&Open doesn't get the shape again.
Version: 7.1.0.0.alpha0+ (x64)
Build ID: a883002d8e2fd77f80c43b7b2e6ac329d83d929d
CPU threads: 4; OS: Windows 10.0 Build 20180; UI render: Skia/Vulkan; VCL: win
Locale: es-ES (es_ES); UI: en-US
Calc: threaded
Comment 2 Regina Henschel 2020-10-31 17:01:15 UTC
Should be fixed with https://cgit.freedesktop.org/libreoffice/core/commit/?id=1f0b3c7a40edfa81bbc7a58d123a6a2dfd83e4ca

(The patch covers several bug reports, therefore no automatic notification.)